Skip to content
Start here

List datasets

GET/radar/datasets

Retrieves a list of datasets.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
datasetType: optional "RANKING_BUCKET" or "REPORT"

Filters results by dataset type.

One of the following:
"RANKING_BUCKET"
"REPORT"
date: optional string

Filters results by the specified date.

formatdate
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: optional number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset: optional number

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
result: { datasets }
datasets: array of { id, description, meta, 3 more }
id: number
description: string
meta: unknown
tags: array of string
title: string
type: string
success: boolean

List datasets

curl https://api.cloudflare.com/client/v4/radar/datasets \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "datasets": [
      {
        "id": 3,
        "description": "This dataset contains a list of the op 20000 domains globally",
        "meta": {},
        "tags": [
          "global"
        ],
        "title": "Top bucket 20000 domains",
        "type": "RANKING_BUCKET"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "datasets": [
      {
        "id": 3,
        "description": "This dataset contains a list of the op 20000 domains globally",
        "meta": {},
        "tags": [
          "global"
        ],
        "title": "Top bucket 20000 domains",
        "type": "RANKING_BUCKET"
      }
    ]
  },
  "success": true
}